AutoCAD Civil 3D General Discussion

AutoCAD Civil 3D General Discussion

Reply
Distinguished Contributor
dibr0804
Posts: 127
Registered: ‎06-29-2010
Message 1 of 6 (770 Views)
Accepted Solution

Using UCS to rotate

770 Views, 5 Replies
07-26-2010 08:29 AM

Hi, I haven't used UCS in awhile and I cant remember what I need to do when I want to rotate the drawing in my paper space.. I typed UCS--> 3 ---> pick my new axis and then the x,y indicator on the bottom left changes to how I want it to be presented but the drawing itself doesnt..

Pic1 is how it is normally and Pic 2 is how I want it

Thanks

Use the PLAN command with the "Current" option.

Distinguished Mentor
tschau3
Posts: 509
Registered: ‎10-04-2007
Message 2 of 6 (768 Views)

Re: Using UCS to rotate

07-26-2010 08:32 AM in reply to: dibr0804

Use the PLAN command with the "Current" option.

Active Member
tmacdonald
Posts: 7
Registered: ‎01-07-2008
Message 3 of 6 (726 Views)

Re: Using UCS to rotate

07-26-2010 01:38 PM in reply to: dibr0804

"Plan=>current" is exactly right. I even open up the UCS settings and name the UCS so I can pick it out in later vp's.

 

Anthony MacDonald, E.I.T.

WLC Engineering, Surveying and Planning

Gillette, Wyoming

[Civil 3D 2010 SP2, Windows XP SP3, Intel Core2 6600 @2.4GHz, 2.40GHz, 3.25 GB RAM]

Valued Contributor
CADvisers
Posts: 85
Registered: ‎01-03-2008
Message 4 of 6 (328 Views)

Re: Using UCS to rotate

12-27-2012 07:04 AM in reply to: dibr0804

An easier method that I use all the time is > Express Tools > Align Space...

 

 

 

Jonathan Stewart
CADvisers
P.O. Box 7811
Lancaster, PA 17604
Ph. 717-468-3111


*Expert Elite*
AllenJessup
Posts: 6,183
Registered: ‎05-21-2003
Message 5 of 6 (316 Views)

Re: Using UCS to rotate

12-27-2012 08:11 AM in reply to: dibr0804

Having learned this years ago. I prefer the Dview > Twist method. After I have the MS view as I want it. I save it as a View. That way if I happen to pick a coordinate from the viewport. I don't have to worry that the UCS might have change it.

*Expert Elite*
doni49
Posts: 2,019
Registered: ‎12-22-2012
Message 6 of 6 (251 Views)

Re: Using UCS to rotate

01-03-2013 01:58 PM in reply to: dibr0804

I agree.  I like to know that the coordinates are right.

 

For that reason, I wrote the following lsp routine. It uses DView>Twist to rotate my view & sets ortho mode to match the screen.

 

(defun dtr (x)(* pi (/ x 180.0)))
(defun rtd (x) (* x (/ 180.0 pi)))
(defun c:dvtwist()
  (setq pt1(getpoint "Select the first point:  "))
  (setq pt2(getpoint "Select the second point:  " pt1))
  (setq ang(angle pt1 pt2))
  (command "Dview" "" "tw" (- 0 (rtd ang)) "")
  (setvar "snapang" ang)
)

 

P.S.  You pick two points that you want to represent your new horizontal (the first being your new left side).

Don Ireland



If a reply solves your issue, please remember to click on "Accept as Solution". This will help other users looking to solve a similar issue. Thank you.






Forum links:
AutoCAD 2013/2014/2015
AutoCAD 2010/2011/2012

AutoLISP, VB and other AutoCAD customization


Civil 3D General
Civil 3d Customization


Other Helpful links:
My File is too large to post or I can't post it due to privacy issues!
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.